Bug 727562 - Missing Drools Flow
Summary: Missing Drools Flow
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Build Process
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: Julian Coleman
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
: 728408 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 13:13 UTC by Tomas Schlosser
Modified: 2014-10-27 01:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No release note content required as a this bug appears to be between internal builds only.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-9382 Major Closed CNF running sample drools project on SOA 5.1 2016-04-19 09:45:48 UTC
JBoss Issue Tracker SOA-3327 Blocker Closed Missing jars to support rule flow 2016-04-19 09:45:48 UTC

Description Tomas Schlosser 2011-08-02 13:13:45 UTC
Description of problem:
No actions related to Drools Flow are possible with BRMS 5.2. When trying to load RF (or BPMN) resource I get an exception.

Steps to Reproduce:
1. create simple RF file
2. insert it into KnowledgeBuilder
  
Actual results:
org.drools.compiler.PackageBuilder.addProcessFromXml(PackageBuilder.java:522)
at org.drools.compiler.PackageBuilder.addKnowledgeResource(PackageBuilder.java:562)
at org.drools.builder.impl.KnowledgeBuilderImpl.add(KnowledgeBuilderImpl.java:28)
at org.jboss.qa.drools.features.ResourcesTest.getPackages(ResourcesTest.java:149)
at org.jboss.qa.drools.features.ResourcesTest.getPackages(ResourcesTest.java:143)
at org.jboss.qa.drools.features.ResourcesTest.testRF(ResourcesTest.java:76)
14 lines not shown

Comment 2 Ryan Zhang 2011-08-05 02:47:23 UTC
*** Bug 728408 has been marked as a duplicate of this bug. ***

Comment 3 Ryan Zhang 2011-08-16 09:52:08 UTC
hi, Tomas, does this issue remain in BRMS 5.2 ER2?

As  Kris suggested, jbpm-flow and jbpm-flow-builder jars have been included in BRMS 5.2 ER2.

Comment 4 Tomas Schlosser 2011-08-17 11:52:37 UTC
Yes, the Drools flow works with BRMS-5.2.0-ER2. However only DRF format is working.

If we want to support BPMN2 format we would have to add more jBPM libraries (according to Len's comment it would be bpmn2). Note that it might bring the whole jBPM as transitive dependencies.

Comment 5 Lukáš Petrovický 2011-08-17 11:53:30 UTC
(In reply to comment #4)
> If we want to support BPMN2 format we would have to add more jBPM libraries
> (according to Len's comment it would be bpmn2). Note that it might bring the
> whole jBPM as transitive dependencies.

Since we won't be bringing in BPMN2, I'm marking this as VERIFIED.

Comment 6 lcarlon 2011-09-19 04:17:29 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No release note content required as a this bug appears to be between internal builds only.


Note You need to log in before you can comment on or make changes to this bug.